Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000855XdebugDebug client (console)public2012-06-18 12:052012-07-01 19:32
ReporterSpacesoul 
Assigned Toderick 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionno change required 
PlatformWindows, EclipsePDT, xdebugOSWindowsOS VersionWin7, Win2003
Product Version2.2.0 
Target VersionFixed in Version 
Summary0000855: Debug session crashes while debugging with EclipsePDT watching a variable.
DescriptionHello, I have been trying to figure this out but didnt find a solution.
Problem:
I am debugging with Eclipse PDT and xdebug and sometimes trying to see a variable value while debugging crashes the debug session with the message: "Unexpected termination of script, debugging ended."

Tests:
Made the following but it still crashes:
- Cleared all the watches variables and breakpoints.
- Closed non used Eclipse debug panels (console, debug output, variable, progress).
- Closed Eclipse, reboot computer.
- Cleared temp files, ccleaner, atfcleaner..
Steps To ReproduceCrash:
It crashes once the variable has value, and If I go to the watch window or if I point my cursor over the variable to see their value. (It happens after it gets a value, not before).

PHP Crash code:
----
$sSQL = "INSERT INTO tabletest(sname) VALUES('TEST') ON DUPLICATE KEY UPDATE sname='TEST';"
$oCurrentConnection = Doctrine_Manager::getInstance()->getCurrentConnection();
$results = $oCurrentConnection->execute($sSQL);
$vRecords = $results; //** debug CRASH if I watch $vRecords or $results ***
var_dump($vRecords);
return sfView::NONE;

Attached in additional information the var_dump of that variable.
Additional InformationSystem info:
- Windows 2003 32 bits, 2GB RAM.
- php 5.4.0 TS,VC9.
- Xdebug v2.2.0 stable release.
- Apache 2.2.22
- Eclipse PHP - PDT 3.0.2
- Symfony 1.4.14

I have been able to get the value of the variable which crashes the debug session:
The variable is an array of arrays, and its a fetch result from a SQL INSERT sentence, var_dump($vRecords):
Code: [Select all] [Show/ hide]

array(1)
{
    [0] => array(2)
    {
        'COLUMN_NAME' => string(7) "sname"
        'CONSTRAINT_NAME' => string(22) "index_tabletest_idx"
    }
}
class PDOStatement#153 (1)
{
    public $queryString => string(91) "INSERT INTO tabletest(sname) VALUES('TEST') ON DUPLICATE KEY UPDATE sname='TEST';"
}

(*the SQL sentence is correct and works perfectly executing it directly to the mysql database).


Attached two logs, the xdebug.log where it didnt crash because I didnt watch the variable value, and just pressed play. And the xdebugCRASH.log where I added the variable to watch its value and crashed the debug session.


I can give remote access to my computer if needed at any time with teamviewer, vnc or anything you need.
I will do anything you need to solve it, its really frustating to debug with it because it crashes at anytime and I cant do anything, just play with var_dumps.

Thank you for your hard work, its an awesome debugger.
TagsNo tags attached.
Operating SystemWindows 7 and Windows 2003 tested.
PHP Version5.4.0
Attached Fileszip file icon xdebuglogs.zip [^] (276,090 bytes) 2012-06-18 12:05

- Relationships

-  Notes
(0002263)
Spacesoul (reporter)
2012-06-19 12:57
edited on: 2012-06-19 13:26

I have also detected other cases where this happens:

1. Getting a doctrine table object, and trying to watch it breaks the debug session:
$oTable = Doctrine_Core::getTable($sModuleName);
//I cant watch $oTable because session is lost.

Doctrine getTable function:
    /**
     * Get the Doctrine_Table object for the passed model
     * @param string $componentName
     * @return Doctrine_Table
     */
    public static function getTable($componentName)
    {
        return Doctrine_Manager::getInstance()->getConnectionForComponent($componentName)->getTable($componentName);
    }

2. Sending and Getting a Doctrine Query, trying to watch it breaks the debug:
$RecordValue = Doctrine_Query::create()->from('Tbtest p')->where('p.sname = ?', $tbvalue)->limit(1)->execute();
 * Doctrine_Query
 * A Doctrine_Query object represents a DQL query.
class Doctrine_Query extends Doctrine_Query_Abstract implements Countable {
...



I am probably getting back to non stable version rc2 until its fixed because its impossible to debug it with constants debug session breaks.

(0002268)
Spacesoul (reporter)
2012-06-24 23:54

Tested in version rc1 and all variables debugged work perfectly.
No crashes with rc1, but in rc1 as its already known, debug session is lost while stoping at breakpoints and going idle a few seconds.
(0002276)
derick (administrator)
2012-06-25 19:01

Could you please try the latest available windows binary from http://xdebug.org/files/xdebug-latest.tgz [^] ?
(0002289)
Spacesoul (reporter)
2012-06-26 19:33

of course Derick, thanks for your support. Ill try tonigh :)
(0002310)
Spacesoul (reporter)
2012-06-29 10:33
edited on: 2012-06-29 10:34

Hi Derick, tested the problem with your lastest version of xdebug, phpinfo():
Xdebug v2.2.1dev, Copyright (c) 2002-2012, by Derick Rethans
Apache Version Apache/2.2.22 (Win32) PHP/5.4.0


Seems to work perfectly, no crashes or breakpoints losts at idle. Checked PDO variables and some others and they show perfectly pointing the mouse over them and in the Watch window panel of Eclipse PDT.
Ill do more tests/debugs though to ensure that its totally stable.

I have however noticed its a bit more slow to debug with this version, am I right or its just my imagination.

Thanks a lot :)

(0002315)
derick (administrator)
2012-07-01 19:32

Thanks for testing; I'll close this report now.

- Issue History
Date Modified Username Field Change
2012-06-18 12:05 Spacesoul New Issue
2012-06-18 12:05 Spacesoul File Added: xdebuglogs.zip
2012-06-19 12:57 Spacesoul Note Added: 0002263
2012-06-19 13:25 Spacesoul Note Edited: 0002263 View Revisions
2012-06-19 13:25 Spacesoul Note Edited: 0002263 View Revisions
2012-06-19 13:26 Spacesoul Note Edited: 0002263 View Revisions
2012-06-24 23:54 Spacesoul Note Added: 0002268
2012-06-25 19:01 derick Note Added: 0002276
2012-06-25 19:01 derick Assigned To => derick
2012-06-25 19:01 derick Status new => feedback
2012-06-26 19:33 Spacesoul Note Added: 0002289
2012-06-26 19:33 Spacesoul Status feedback => assigned
2012-06-29 10:33 Spacesoul Note Added: 0002310
2012-06-29 10:34 Spacesoul Note Edited: 0002310 View Revisions
2012-07-01 19:32 derick Note Added: 0002315
2012-07-01 19:32 derick Status assigned => resolved
2012-07-01 19:32 derick Resolution open => no change required


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker